Package org.eclipse.mat.parser.internal.snapshot

# Class ObjectMarkerFactory

java.lang.Object
org.eclipse.mat.parser.internal.snapshot.ObjectMarkerFactory

public class ObjectMarkerFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`ObjectMarkerFactory()`

## Method Summary

Modifier and Type
Method
Description
`static IObjectMarker`
`getObjectMarker(int[] roots, boolean[] bits, IIndexReader.IOne2ManyIndex outbound, long outboundLength, IProgressListener progressListener)`
`static IObjectMarker`
`getObjectMarker(int[] roots, boolean[] bits, IIndexReader.IOne2ManyIndex outbound, IProgressListener progressListener)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectMarkerFactory

public ObjectMarkerFactory()

## Method Details

### getObjectMarker

public static IObjectMarker getObjectMarker(int[] roots, boolean[] bits, IIndexReader.IOne2ManyIndex outbound, IProgressListener progressListener)

### getObjectMarker

public static IObjectMarker getObjectMarker(int[] roots, boolean[] bits, IIndexReader.IOne2ManyIndex outbound, long outboundLength, IProgressListener progressListener)